<template>
  <div>
    <div class="MessageComponent" :key="index" v-for="(item, index) in messageData" @click="toContent(index)">
      <van-swipe-cell class="inSwipeCell" :on-close="onClose">
        <div class="message-container">
          <div class="head">
            <img class="head-img" :src="item.listInfo[item.listInfo.length-1].senderAvatarUrl" alt="">
          </div>
          <div class="center">
            <div class="title">{{item.listInfo[item.listInfo.length-1].senderName}}</div>
            <div class="desc">{{item.listInfo[item.listInfo.length-1].content}}</div>
          </div>
          <div class="num" :isShow="isShow[index]">{{item.listInfo.length}}</div>
        </div>
        <template slot="right">
          <van-button style="height:100%" square type="danger" text="删除" />
        </template>
      </van-swipe-cell>
    </div>
  </div>
</template>

<script>
export default {
  name: 'MessageComponent',
  props: {
    messageData: {
      type: Array
    },
    tranX: {
      type: Boolean
    }
  },
  data () {
    return {
      checked: false,
      isShow: []
    }
  },
  mounted (){
  },
  methods: {
    toContent (index) {
      var mesContent = []
      for (var i = 0; i < this.messageData[index].listInfo.length;i++){
        mesContent.push({
          time: this.messageData[index].listInfo[i].time,
          senderAvatarUrl: this.messageData[index].listInfo[i].senderAvatarUrl,
          content: this.messageData[index].listInfo[i].content,
          type: this.messageData[index].listInfo[i].type
        })
        console.log('kanwo',this.messageData[index].listInfo[i].time)
      }
      this.$router.push({
        path: '/messageContent/' + this.messageData[index].senderId,
        query: { mes: mesContent, name: this.messageData[index].listInfo[0].senderName }
      })
      document.getElementsByClassName('num')[index].style.display = 'none'
      console.log(this.isShow[index])
      this.isShow[index] = false
      console.log(this.isShow[index])
      console.log(index)
      console.log(mesContent)
    },
    onClose (clickPosition, instance) {
      switch (clickPosition) {
        case 'left': {
          let e = window.event
          e.preventDefault()
          e.stopPropagation()//这个函数就是让滑动的模块返回的操作  e.preventDefault()阻止默认行为;e.stopPropagation()阻止冒泡
          console.log('正在右滑')
          break
        }
        case 'cell':
          break
        case 'outside':
          break
        case 'right': {
          let e = window.event
          e.preventDefault()
          e.stopPropagation()
           //这个函数就是让滑动的模块返回的操作  e.preventDefault()阻止默认行为;e.stopPropagation()阻止冒泡
          console.log('正在右滑')
          break
        }
      }
    },
    deleteMessage () {
    }
  }
}
</script>

<style scoped>
.message-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  background: #fff;
  padding: 8.5px 6.13% 8.5px 3.2%;
  margin-bottom: 0.5px;
}
.head-img {
  width: 61px;
  height: 61px;
  border: 1px solid #707070;
  background: #EEEEEE;
  border-radius: 50%;
}
.center {
  flex: 1;
  overflow: hidden;
  padding-left: 12.5px;
  padding-right: 12.5px;
}
.title {
  font-size: 14px;
  line-height: 14px;
  color: #3d3d3d;
  font-weight: bold;
  margin-top: 10px;
  margin-bottom: 15px;
}
.desc {
  font-size: 11.5px;
  color: #3d3d3d;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  margin-bottom: 2px;
}
.num {
  display: flex;
  align-items: center;
  justify-content: center;
  background: #EF4C4C;
  color: #fff;
  width: 18.5px;
  height: 18.5px;
  border-radius: 50%;
  font-size: 12px;
  font-weight: bold;
  min-width: 18.5px;
}

</style>
